Author Topic: BindSimple: Transport encryption required  (Read 2578 times)

rjka

  • Zen Apprentice
  • *
  • Posts: 6
  • Karma: +0/-0
    • View Profile
BindSimple: Transport encryption required
« on: February 22, 2018, 10:54:57 am »
The newest version zentyal develop. as vm on proxmox.
I want it as Additional domain controller.
First dc I have on freebsd samba 4.4.16

After save changes I get:
"Some modules reported error when saving changes . More information on the logs in /var/log/zentyal/
Could not bind to AD LDAP server (BindSimple: Transport encryption required.).Please check the supplied credentials."

Where to find solution?

I installed ms win 2008r2 to find out it is working and there is no problem to add win server as another dc but not zentyal

please help!!
« Last Edit: February 26, 2018, 04:28:31 pm by rjka »

rjka

  • Zen Apprentice
  • *
  • Posts: 6
  • Karma: +0/-0
    • View Profile
Re: BindSimple: Transport encryption required
« Reply #1 on: January 23, 2019, 10:49:04 am »
Zentyal 6.0 ...still the same problem :(

rjka

  • Zen Apprentice
  • *
  • Posts: 6
  • Karma: +0/-0
    • View Profile
Re: BindSimple: Transport encryption required
« Reply #2 on: January 23, 2019, 10:02:02 pm »
I found solution :)

smb4.conf:

ldap server require strong auth = no

important: restart system

reload samba not enough!!

luiz Peterli

  • Zen Apprentice
  • *
  • Posts: 7
  • Karma: +0/-0
    • View Profile
Re: BindSimple: Transport encryption required
« Reply #3 on: June 12, 2021, 02:58:55 pm »
I can change SAMBA4's behavior to allow non-TLS connections and this caused my server to crash with this error. For that I open the SAMBA4 configuration file in: /usr/local/samba/etc/samba/smb.conf and insert the line: ldap server require strong auth = no.

It's worth mentioning that in my case I use SAMBA4 directly on Ubuntu Server, and with this solution I managed to integrate NXFilter with my AD users and groups